<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$username=$_SESSION['MM_Username'];
$tipo_usuario=$_SESSION['PRIVILEGIO'];

// Capturo los datos que vienen de inscripciones.php
$id_alumno=$_GET['id_alumno'];
$seccion_inscrita=$_GET['seccion'];
$id_carrera=$_GET['id_carrera'];
$pensum=$_GET['pensum'];
$id_periodo=$_GET['id_periodo'];
$id_sede=$_GET['id_sede'];
$mencion=$_GET['mencion'];
$nivel=$_GET['nivel'];
$turno=$_GET['turno'];
$nuevo_ingreso=$_GET['nuevo_ingreso'];
$ida=$_GET['ida_alumno'];

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
// Datos del usuario que realizó la inscripción.
$sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
$rs=mysql_query($sql,$conn);
$row=mysql_fetch_array($rs);
$inscrito_por=$row['apellidos'].', '.$row['nombres'];
// Datos del Estudiante.
$sql = "SELECT id_alumno,cedula,apellidos, nombres, tipo_doc FROM alumnos WHERE id_alumno='$id_alumno'";
$rs = mysql_query($sql, $conn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);

$cedula= $row['cedula'];
$participante= $row['apellidos'].', '.$row['nombres'];

$fecha1 = explode("-",date("Y-m-d")); 
$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
// $fecha_hoy = cambioFecha($fecha2);   
$fecha_inscripcion=join ("-",(array_reverse(explode("-",$fecha2))));
$annio=$fecha1[0];

if($turno=='1') $nombre_turno="MATUTINO";
  if($turno=='2') $nombre_turno="VESPERTINO";
  if($turno=='4') $nombre_turno="NOCTURNO";
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  // Datos del Estudiante
  $sqlAlumnos = "SELECT apellidos,nombres,cedula FROM alumnos WHERE id_alumno='$id_alumno'";
  $rstAlumnos = mysql_query($sqlAlumnos, $conn) or die(mysql_error());
  $rowAlumnos = mysql_fetch_assoc($rstAlumnos);
  $participante =$rowAlumnos["apellidos"].', '.$rowAlumnos["nombres"];
  $cedula =$rowAlumnos["cedula"];
  // Datos de la Carrera
  $sqlCarrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
  $rstCarrera = mysql_query($sqlCarrera, $conn) or die(mysql_error());
  $rowCarrera = mysql_fetch_assoc($rstCarrera);
  $nombre_carrera =$rowCarrera["nombre_carrera"];
  // Nombre de la mención o componente.
  $nombre_mencion="COMPONENTE GENERAL";
  if($mencion!="COMUN"){
     $sql_mencion = "SELECT nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' AND id_mencion='$mencion'";
     $rst_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
     $row_mencion = mysql_fetch_assoc($rst_mencion);
     $nombre_mencion =$row_mencion["nombre_mencion"];
  }
  // Datos del Lapso Académico.
  $sqlPeriodo = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$id_periodo'";
  $rstPeriodo = mysql_query($sqlPeriodo, $conn) or die(mysql_error());
  $rowPeriodo = mysql_fetch_assoc($rstPeriodo);
  $codigo_periodo =$rowPeriodo["codigo"].' ('.$rowPeriodo["tipo"].')';
  // Datos de la Sede.
  $sqlSede = "SELECT nombre_sede FROM sedes WHERE codigo='$id_sede'";
  $rstSede = mysql_query($sqlSede, $conn) or die(mysql_error());
  $rowSede = mysql_fetch_assoc($rstSede);
  $nombre_sede =$rowSede["nombre_sede"];
  
  // Calcula el IDA (Indice de Rendimiento Académico del Estudiante)
$ida_alumno=calcular_ida($id_alumno,$carrera);

// Establece el Máximo de créditos que puede inscribir el estudiante en el semestre regular.
if($ida_alumno<10) $maximo=6;
if($ida_alumno>=10 and $ida_alumno<17) $maximo=19;
if($ida_alumno>=17) $maximo=21;
if($nuevo_ingreso=="S") $maximo=15;

// Calcula Unidades Credito Inscritas.
$sql_uci = "SELECT * FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and inscrita='S'";
$rs_uci = mysql_query($sql_uci, $conn) or die(mysql_error());
$rst_uci = mysql_fetch_assoc($rs_uci);
$totalRows = mysql_num_rows($rs_uci);

$currentPage = $_SERVER["PHP_SELF"];

$maxRows_tblMatriculas = 20;
$pageNum_tblMatriculas = 0;
if (isset($_GET['pageNum_tblMatriculas'])) {
  $pageNum_tblMatriculas = $_GET['pageNum_tblMatriculas'];
}
$startRow_tblMatriculas = $pageNum_tblMatriculas * $maxRows_tblMatriculas;

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_tblMatriculas = "SELECT * FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and inscrita='S' order by semestre, nombre_materia";
$query_limit_tblMatriculas = sprintf("%s LIMIT %d, %d", $query_tblMatriculas, $startRow_tblMatriculas, $maxRows_tblMatriculas);
$tblMatriculas = mysql_query($query_limit_tblMatriculas, $conn) or die(mysql_error());
$row_tblMatriculas = mysql_fetch_assoc($tblMatriculas);

if (isset($_GET['totalRows_tblMatriculas'])) {
  $totalRows_tblMatriculas = $_GET['totalRows_tblMatriculas'];
} else {
  $all_tblMatriculas = mysql_query($query_tblMatriculas);
  $totalRows_tblMatriculas = mysql_num_rows($all_tblMatriculas);
}
$totalPages_tblMatriculas = ceil($totalRows_tblMatriculas/$maxRows_tblMatriculas)-1;

$queryString_tblMatriculas = "";
if (!empty($_SERVER['QUERY_STRING'])) {
  $params = explode("&", $_SERVER['QUERY_STRING']);
  $newParams = array();
  foreach ($params as $param) {
    if (stristr($param, "pageNum_tblMatriculas") == false && 
        stristr($param, "totalRows_tblMatriculas") == false) {
      array_push($newParams, $param);
    }
  }
  if (count($newParams) != 0) {
    $queryString_tblMatriculas = "&" . htmlentities(implode("&", $newParams));
  }
}
$queryString_tblMatriculas = sprintf("&totalRows_tblMatriculas=%d%s", $totalRows_tblMatriculas, $queryString_tblMatriculas);
?>
<title>siga_pregrado -- inscripcion_reg_oferta</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<link href="css/main.css" rel="stylesheet" type="text/css">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style3 {font-size: 14px}
.style5 {color: #FF0000}
.style10 {
	font-size: 10px;
	color: #333333;
}
.style11 {
	font-size: 12px;
	color: #000000;
}
.Estilo6 {color: #FF0000; font-weight: bold; }
</style>
</head>

<body>

<form name="form1" id="form1" action="a.php" method="post">
<table class="bd" width="100%">
<tr><td class="hr"><h2 align="left">&nbsp;Unidades Curriculares Seleccionadas</h2></td></tr>
</table>

 <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
   
	<td  align="left" class="style3"><div align="left"><b>ESTUDIANTE:</b>&nbsp;<?php echo $participante; ?>&nbsp;&nbsp;&nbsp;<b>C&Eacute;DULA:</b>&nbsp;<?php echo number_format($cedula,0,"","."); ?>&nbsp;</div></td>
  </tr>
  <tr>
     <td  colspan="2" align="left" class="style3"><b>CARRERA:</b>&nbsp;LIC. EN CIENCIAS FISCALES&nbsp;&nbsp;<b>MENCI&Oacute;N:</b>&nbsp;<?php echo $nombre_mencion; ?></td>
  </tr>
  <tr>
     <td  align="left" class="style3" ><b>LAPSO:</b>&nbsp;<?php echo $codigo_periodo; ?>&nbsp;&nbsp;&nbsp;<b>SEDE:</b>&nbsp;<?php echo $nombre_sede; ?>&nbsp;&nbsp;&nbsp;<b>TURNO:</b>&nbsp;<?php echo $nombre_turno; ?>&nbsp;</td>
  </tr>
  <tr >
	 <td  align="left"><span><span class="style3"><b>UNIDADES CURRICULARES A INSCRIBIR:</b></span></span>&nbsp;&nbsp;
	   <span class="style5"><b><?php echo $totalRows; ?></b></span>
       <span class="style3">DE&nbsp;<span class="style5"><b>2</b></span>&nbsp;<span class="style3">PERMITIDAS</span></td>
	   <td width="18%"  align="left" class="style3"><div align="right"><span class="Estilo6">IDA:</span>&nbsp;<?php echo  number_format($ida ,2,",","."); ?>&nbsp;&nbsp;</div></td>
  </tr>
  </table>
<hr size="1" noshade>
<table width="95%" border="1" align="center" cellpadding="0" cellspacing="0">
  <tr id="titulo1">
    <td align="center">Sem.</td>
    <td align="center">C&oacute;digo</td>
    <td align="center">Nombre de la Unidad Curricular</td>
    <td align="center">UC</td>
	<td align="center">Secci&oacute;n</td>
	<td align="center">Turno</td>
  </tr>
  <?php do { 
        if($row_tblMatriculas['turno']=="1") $nombre_turno="Matutino";
		if($row_tblMatriculas['turno']=="2") $nombre_turno="Vespertino";
		if($row_tblMatriculas['turno']=="4") $nombre_turno="Nocturno";
  ?>
     
    <tr height="20">
      <td><div align="center" class="style10 style11"><?php echo $row_tblMatriculas['semestre']; ?></div></td>
	 
      <td><div align="center" class="style10 style11"><?php echo $row_tblMatriculas['id_materia']; ?></div></td>
      <td><div align="left" class="style10 style11">&nbsp;<?php echo $row_tblMatriculas['nombre_materia']; ?></div></td>
      <td><div align="center" class="style10 style11"><?php echo $row_tblMatriculas['uc']; ?></div></td>
	  <td><div align="center" class="style10 style11"><?php echo $row_tblMatriculas['id_seccion']; ?></div></td>
	  <td><div align="center" class="style10 style11"><?php echo $nombre_turno; ?></div></td>
    </tr>
    <?php } while ($row_tblMatriculas = mysql_fetch_assoc($tblMatriculas)); ?>
</table>

<hr size="1" noshade>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
<tr>   
   <td  align="center" class="style3">
        ¿Desea FORMALIZAR su inscripción con las Unidades Curriculares seleccionadas?&nbsp;&nbsp; 
        <input name="SI" type="button"  value="SI" onClick="miSeleccion('SI','<?php echo $id_alumno; ?>','<?php echo $turno; ?>','<?php echo $id_carrera; ?>','<?php echo $pensum; ?>','<?php echo $id_periodo; ?>','<?php echo $id_sede; ?>','<?php echo $mencion; ?>','<?php echo $nivel; ?>','<?php echo $nuevo_ingreso; ?>','<?php echo $ida; ?>','<?php echo $maximo; ?>')">&nbsp;&nbsp;
        <input name="NO" type="button" value="NO" onClick="miSeleccion('NO','<?php echo $id_alumno; ?>','<?php echo $turno; ?>','<?php echo $id_carrera; ?>','<?php echo $pensum; ?>','<?php echo $id_periodo; ?>','<?php echo $id_sede; ?>','<?php echo $mencion; ?>','<?php echo $nivel; ?>','<?php echo $nuevo_ingreso; ?>','<?php echo $ida; ?>','<?php echo $maximo; ?>')">
		<input type="hidden" name="oculto">
	</td>
  </tr>
  </table>
<hr size="1" noshade>
</form>
</body>
</html>
<?php
mysql_free_result($tblMatriculas);
?>
<?php
function calcular_ida($id_alumno,$id_carrera)
{
global $conn;

    mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");
	$sql = "Select
	SUM(historico_notas_aux.nota*materias.uc) AS notas_x_creditos,SUM(materias.uc) as creditos_cursados
	From
	historico_notas_aux
	Inner Join materias ON historico_notas_aux.id_materia = materias.id_materia
	Where
	historico_notas_aux.id_alumno = '$id_alumno' and
	historico_notas_aux.id_carrera = '$id_carrera' and
	historico_notas_aux.pensum='6'
	";
	// echo $sql;
	
	$result = mysql_query ($sql,$conn) or die (mysql_error()); 
	$rst_ida = mysql_fetch_assoc($result);
	$creditos_cursados=$rst_ida['creditos_cursados'];
	$sumatoria_notas_por_creditos=$rst_ida['notas_x_creditos']; 
	if($creditos_cursados!=0)
	{
	   $ida=$sumatoria_notas_por_creditos/$creditos_cursados;
	}
	else{
	   $ida=0;
	}
	return $ida;
}
?>

<script type="text/javascript">
function miSeleccion(opcion,id_alumno,turno,id_carrera,pensum,id_periodo,id_sede,mencion,nivel,nuevo_ingreso,ida,maximo){

if (opcion=="SI"){
    document.form1.action="formalizar_intensivo.php?id_alumno="+id_alumno+"&turno="+turno+"&id_carrera="+id_carrera+"&pensum="+pensum+"&id_periodo="+id_periodo+"&id_sede="+id_sede+"&mencion="+mencion+"&nivel="+nivel+"&nuevo_ingreso="+nuevo_ingreso;
    document.form1.submit();
}
else if (opcion=="NO"){
        document.form1.oculto.value="NO";
        document.form1.action="inscripcion_intensivo_oferta.php?id_alumno="+id_alumno+"&turno="+turno+"&id_carrera="+id_carrera+"&pensum="+pensum+"&id_periodo="+id_periodo+"&id_sede="+id_sede+"&mencion="+mencion+"&nivel="+nivel+"&nuevo_ingreso="+nuevo_ingreso+"&ida_alumno="+ida+"&maximo="+maximo; //si deseamos que haga submit a otro archivo
        document.form1.submit();
      }
}
</script>

